Package org.eclipse.emf.cdo.etypes.provider.annotation

# Class AnnotationItemProviderAdapterFactory.DecategorizingItemPropertyDescritorDecorator

java.lang.Object
org.eclipse.emf.edit.provider.ItemPropertyDescriptorDecorator
org.eclipse.emf.cdo.etypes.provider.annotation.AnnotationItemProviderAdapterFactory.DecategorizingItemPropertyDescritorDecorator

All Implemented Interfaces:
  `IItemPropertyDescriptor`, `IItemPropertyDescriptor.ValueHandlerProvider`, `IPropertyEditorFactory.Provider`

Enclosing class:
  `AnnotationItemProviderAdapterFactory`

public static final class AnnotationItemProviderAdapterFactory.DecategorizingItemPropertyDescritorDecorator extends ItemPropertyDescriptorDecorator
A property descriptor created by `AnnotationItemProviderAdapterFactory#getPropertyDescriptors` and used by
invalid reference

    AnnotationItemProvider.SourcePropertyDescriptor#createPropertyValueWrapper(Object, Object)

. It specialized `getCategory(Object)` to return null but provides `getCategory()` to give access to the original category.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor

`IItemPropertyDescriptor.OverrideableCommandOwner, IItemPropertyDescriptor.ValueHandler, IItemPropertyDescriptor.ValueHandlerProvider`

## Field Summary

### Fields inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptorDecorator

`itemPropertyDescriptor, object`

## Constructor Summary

Constructors
Constructor
Description
`DecategorizingItemPropertyDescritorDecorator(Object object, IItemPropertyDescriptor itemPropertyDescriptor)`
Creates an instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCategory()`
Returns the group of properties into which this one should be placed based on the underlying property descriptor being decorated.
`String`
`getCategory(Object thisObject)`

### Methods inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptorDecorator

`canSetProperty, getChoiceOfValues, getDecoratedItemPropertyDescriptor, getDecoratedObject, getDescription, getDisplayName, getEditorFactory, getFeature, getFilterFlags, getHelpContextIds, getId, getLabelProvider, getPropertyValue, getValueHandler, isChoiceArbitrary, isCompatibleWith, isMany, isMultiLine, isPropertySet, isPropertyUnsettable, isSortChoices, resetPropertyValue, setPropertyValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DecategorizingItemPropertyDescritorDecorator

public DecategorizingItemPropertyDescritorDecorator(Object object, IItemPropertyDescriptor itemPropertyDescriptor)
Creates an instance.

Parameters:
  `object` - the object of the property descriptor being decorated.
  `itemPropertyDescriptor` - the property descriptor to be decorated.

## Method Details

### getCategory

public String getCategory(Object thisObject)

This implementation always returns `null`.

Specified by:
  `getCategory` in interface `IItemPropertyDescriptor`
Overrides:
  `getCategory` in class `ItemPropertyDescriptorDecorator`

### getCategory

public String getCategory()
Returns the group of properties into which this one should be placed based on the underlying property descriptor being decorated.

Returns:
  the group of properties into which this one should be placed.